Bug 1129493 - Review Request: pidgin-extras - A Gtk+ based multiprotocol instant messaging client
Summary: Review Request: pidgin-extras - A Gtk+ based multiprotocol instant messaging ...
Keywords:
Status: CLOSED DUPLICATE of bug 1254778
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 22:33 UTC by Robert Scheck
Modified: 2018-04-11 09:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-08 22:41:04 UTC


Attachments (Terms of Use)

Description Robert Scheck 2014-08-12 22:33:18 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/pidgin-extras.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/pidgin-extras-2.10.7-22.src.rpm
Description: Pidgin allows you to talk to anyone using a variety of
messaging protocols including AIM, MSN, Yahoo!, Jabber, Bonjour,
Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC,
Simple and Zephyr.  These protocols are implemented using a modular,
easy to use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.
Fedora Account System Username: robert


This package is only for EPEL 7 to provide the packages which are not in
RHEL 7. The package was renamed from pidgin to pidgin-extras to avoid
source package name collisions (same for e.g. php vs. php-extras). All
changes in the spec file are just additionally that differences between
RHEL and EPEL spec file can be hopefully easily reviewed.

Comment 1 Scott Williams 2016-04-08 21:27:17 UTC
Robert,

Thanks for your review submission.  Here are my notes from what I can see so far:

Reviewing your SPEC file:

Since this is only for EL7, you should remove all of the Fedora/RHEL mapping globals in the beginning.  If you still need globals, just use ones that cover your scope.  There are other long obsoleted references in here, such as gaim.  There is a also patch referencing RHEL4, which is probably irrelevant for EL7.

Your obsoletes:
Obsoletes:      pidgin <= 2.7.1-1%{?dist}

Pidgin is also not in Requires.  It looks like you're actually building a replacement for the pidgin package, rather than an add-on?  Doing so will conflict with the CentOS repo pidgin package, so you'll need to split out the extras.  

The Description describes pidgin generally, not what extras are intended to be provided by this package.

Your changelog reflects the pidgin packaging history, not -extras specific.  

Here's the output from rpmlint:
pidgin-extras.src: W: spelling-error Summary(en_US) multiprotocol -> multiprocessor
pidgin-extras.src: W: spelling-error %description -l en_US perl -> Perl, peel, perk
pidgin-extras.src:422: W: unversioned-explicit-obsoletes gaim-devel
pidgin-extras.src:466: W: unversioned-explicit-obsoletes gaim-meanwhile
pidgin-extras.src:142: W: mixed-use-of-spaces-and-tabs (spaces: line 27, tab: line 142)
pidgin-extras.src: E: specfile-error warning: bogus date in %changelog: Tue Aug 06 2009 Warren Togami <wtogami@redhat.com> 2.6.0-0.11.20090812
pidgin-extras.src: E: specfile-error warning: bogus date in %changelog: Tue Aug 06 2009 Warren Togami <wtogami@redhat.com> 2.6.0-0.10.20090806
pidgin-extras.src: E: specfile-error warning: bogus date in %changelog: Fri May 31 2007 Stu Tomlinson <stu@nosnilmot.com> - 2.0.1-2
pidgin-extras.src: E: specfile-error warning: bogus date in %changelog: Mon Jun 08 2004 Warren Togami <wtogami@redhat.com> 0.78-7
pidgin-extras.src: E: specfile-error warning: bogus date in %changelog: Fri Apr 15 2004 Warren Togami <wtogami@redhat.com> 0.76-6
pidgin-extras.src: E: specfile-error warning: bogus date in %changelog: Fri Apr 14 2004 Warren Togami <wtogami@redhat.com> 0.76-5
pidgin-extras.src: E: specfile-error warning: bogus date in %changelog: Wed Nov 25 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.74-0
1 packages and 0 specfiles checked; 7 errors, 5 warnings.

Any of the "E"'s here absolutely need addressed.

If you haven't already, please take a look at https://fedoraproject.org/wiki/Packaging:Guidelines

Comment 2 Scott Williams 2016-04-08 21:54:10 UTC
Regarding obsoleting the CentOS pidgin, see https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies:

"EPEL packages should only enhance and never disturb the Enterprise Linux distributions they were built for. Thus packages from EPEL should never replace packages from the target base distribution"

However, you might still be able to split out the extra addons in a way that doesn't conflict.

Comment 3 Robert Scheck 2016-04-08 22:41:04 UTC
I'm not absolutely sure if you got the intention of this review request:
The pidgin-extras package is actually a copy of the pidgin source RPM that
is shipped by RHEL 7, the package thus got a package review before (given
the package was taken from Fedora). Further on the changes have been kept
as small as possible to hopefully easily rebase on possible pidgin updates
in RHEL 7. I'm glad to see that bug #1254778 followed the same intention
and got approved for EPEL 7.

The "extra" here is to ship "pidgin", the base package, because "pidgin"
itself is not in RHEL 7, so %description is right. RHEL 7 only ships some
sub-packages of pidgin which makes this a somewhat funny situation. 

Given "pidgin-epel" is now in EPEL 7 (which is the same approach, but on
spec file level slightly different solved), this package review can just
be closed.

If Matěj is interested, I'm happy to get a co-maintainer, but the package
didn't change that much since 2014 as it seems, so less efforts needed :)

*** This bug has been marked as a duplicate of bug 1254778 ***

Comment 4 Matěj Cepl 2016-04-09 14:08:03 UTC
Besides, a birdie told me that it is probably we will have /usr/bin/pidgin back in RHEL 7.3.


Note You need to log in before you can comment on or make changes to this bug.